This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 859524 - gnome_date_edit_set_time() wrapped incorrectly, passing bogus data that result in crashes
gnome_date_edit_set_time() wrapped incorrectly, passing bogus data that resul...
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-python2 (Show other bugs)
23
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 14:21 EDT by Miloslav Trmač
Modified: 2015-07-15 10:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 691733
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2012-09-21 14:21:55 EDT
+++ This bug was initially created as a clone of Bug #691733 +++

pygobject2 handles time_t incorrectly: it uses
> time_t the_time
> ... PyArg_ParseTupleAndKeywords(args, kwargs, "i:...", kwlist, &the_time) ...
which incorrectly accesses time_t using the "int" type.  This causes undefined
behavior; in practice, if this works at all, it usually stores the parsed
value into only 32 bit of the 64-bit time_t value, making the value potentially
invalid depending on what has been on the stack before.

This incorrect code is generated while compiling gnome-python2, in particular
_wrap_gnome_date_edit_set_time().  This function passes an incorrect time_t
value to gnome_date_edit_set_time().

I'm filing this against gnome-python2, where the wrapper definitely needs to be fixed (probably by fixing pygobject2 first, and regenerating python-gnome2).

Verified with 
 pygobject2-2.28.6-5.fc17.x86_64
 gnome-python2-2.28.1-9.fc18.src.rpm
Comment 1 Fedora End Of Life 2013-07-04 01:27:16 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Miloslav Trmač 2013-07-04 09:27:19 EDT
Looking at pygobject2-2.28.6-9.fc19, probably still the case.
Comment 3 Fedora End Of Life 2015-01-09 12:22:53 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Miloslav Trmač 2015-01-09 12:43:23 EST
Looking at pygobject2-2.28.6-13.fc22, probably still the case:
>        info.add_parselist('i', ['&' + pname], [pname])
Comment 5 Jan Kurik 2015-07-15 10:59:25 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Note You need to log in before you can comment on or make changes to this bug.